%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?python2_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Name:           python-raven

Version:        4.1.1
Release:        4%{?dist}
Summary:        Python client for Sentry

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.python.org/pypi/raven/
Source0:        http://pypi.python.org/packages/source/r/raven/raven-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

%description
Raven is a Python client for Sentry <http://getsentry.com>. It provides full
out-of-the-box support for many of the popular frameworks, including Django,
and Flask. Raven also includes drop-in support for any WSGI-compatible web
application.

%if 0%{?with_python3}
%package -n python3-raven
Summary:        Python client for Sentry
Group:          Development/Libraries

%description -n python3-raven
Raven is a Python client for Sentry <http://getsentry.com>. It provides full
out-of-the-box support for many of the popular frameworks, including Django,
and Flask. Raven also includes drop-in support for any WSGI-compatible web
application.
%endif # with_python3

%prep
%setup -q -n raven-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/raven %{buildroot}/%{_bindir}/python3-raven
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root=%{buildroot}

%files
%doc LICENSE README.rst
%{_bindir}/raven
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-raven
%doc LICENSE README.rst
%{_bindir}/python3-raven
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Apr 02 2014 Xavier Queralt <xqueralt@redhat.com> - 4.1.1-1
- Update to new upstream release 4.1.1

* Tue Jan 21 2014 Xavier Queralt <xqueralt@redhat.com> - 4.0.3-1
- Update to new upstream release 4.0.3

* Wed Oct 16 2013 Xavier Queralt <xqueralt@redhat.com> - 3.5.0-2
- Don't build python3 package in RHEL
- Define the python2_sitelib macro if it is not defined

* Tue Oct 15 2013 Xavier Queralt <xqueralt@redhat.com> - 3.5.0-1
- initial package
